Bug 177064 - Error message on creation of LJ 5Si printer
Error message on creation of LJ 5Si printer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 16:35 EST by Steve Snyder
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 17:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/usr/share/foomatic/db/source/printer/HP-LaserJet_5Si.xml (1.41 KB, text/plain)
2006-01-10 09:41 EST, Tim Waugh
no flags Details

  None (edit)
Description Steve Snyder 2006-01-05 16:35:36 EST
From Bugzilla Helper:
User-Agent: Opera/8.51 (X11; Linux i686; U; en)

Description of problem:
While creating a printer with /usr/bin/printconf I was shown the following 
output:

No IEEE 1284 match: {'model': 'HP LaserJet 5Si', 'description': '', 'cmdset': 
'PJL,MLC,PCL,POSTSCRIPT', 'manufacturer': 'Hewlett-Packard'}
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'HP LaserJet 5Si'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
Printer is PostScript-capable: selecting generic PS
The printer HP LaserJet 5Si (ID: HP-LaserJet_5Si) is not supported by the driver 
Postscript!
Couldn't load driver information.


Version-Release number of selected component (if applicable):
foomatic-3.0.2-19

How reproducible:
Always

Steps to Reproduce:
1. Run /usr/bin/printconf from terminal (so message can be seen)
2. Create printer object for "LaserJet 5Si"
3. Note error, request for bug report submission
  

Actual Results:  Saw error message shown above

Expected Results:  No errors should be seen


Additional info:

# rpm -q foomatic system-config-printer ghostscript cups
foomatic-3.0.2-19
system-config-printer-0.6.131.3-1
ghostscript-7.07-41
cups-1.1.23-15.3
Comment 1 Tim Waugh 2006-01-10 09:41:58 EST
Created attachment 122999 [details]
/usr/share/foomatic/db/source/printer/HP-LaserJet_5Si.xml

Please save this file as

  /usr/share/foomatic/db/source/printer/HP-LaserJet_5Si.xml

Is the correct printer model automatically selected from the list when you go
to add a new queue now?
Comment 2 Steve Snyder 2006-01-10 10:22:03 EST
>Is the correct printer model automatically selected from the list
> when you go to add a new queue now?

No.  I saved the file, restarted CUPS and attempted to create another printer. 
As before I ran /usr/bin/printconf from an X terminal window

I started by creating a JetDirect-connected printer.  After entering the IP
address of the printer I clicked the Forward button, which took me to the
Printer Model.  It was then that the following output was shown in the terminal
window:

No IEEE 1284 match: {'model': 'HP LaserJet 5Si', 'description': '', 'cmdset':
'PJL,MLC,PCL,POSTSCRIPT', 'manufacturer': 'Hewlett-Packard'}
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'HP LaserJet 5Si'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
Printer is PostScript-capable: selecting generic PS

The Printer Model shows "Postscript Printer" as the default selection.

I don't know if it is relevant, but the specific model of printer I am
connecting to is a LaserJet 5Si-MX.  Perhaps the -MX is a factor in the printer
identification problem?
Comment 3 Tim Waugh 2006-01-10 10:42:08 EST
How about after you do this as root?:

rm -f /var/cache/foomatic/*
Comment 4 Steve Snyder 2006-01-10 12:05:41 EST
After the deletion, creation of a JetDirect queue correctly shows me "LaserJet
5Si" as the default model.  The test page printeed successfully.

Probably related: when I went to edit the queue (to add double-sided printing) I
was shown this message:

The printer HP LaserJet 5Si (ID: HP-LaserJet_5Si) is not supported by the driver
Postscript!
Couldn't load driver information.
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 600, in edit_button_clicked
    if self.editQueue.editQueueDialog (iter):
  File "/usr/share/printconf/util/editQueue.py", line 427, in editQueueDialog
    self.select_printer_iter (iter)
  File "/usr/share/printconf/util/editQueue.py", line 511, in select_printer_iter
    self.printer_model_selected (self.printer_view)
  File "/usr/share/printconf/util/editQueue.py", line 841, in printer_model_selected
    driver_index = self.recommended_driver
AttributeError: editQueue instance has no attribute 'recommended_driver'

At this point all Queues shown in the window are grayed-out, seemingly forever.
 I can close the app (it is not hung-up) but cannot interact with it.  After
re-opening the applet, I can successfully edit the other queue shown (LJ 4500),
but attempting to edit the 5Si-MX queue always results in a lack of user access.
Comment 5 Tim Waugh 2006-01-11 12:31:55 EST
Please try foomatic-3.0.2-19.2:

  https://www.redhat.com/archives/fedora-test-list/2006-January/msg00458.html
Comment 6 John Thacker 2006-05-05 17:34:30 EDT
Closing due to lack of response by reporter.

Note You need to log in before you can comment on or make changes to this bug.